import Foundation

struct SearchModel: Codable {
    
    let api_status: Int?
    let users: [UserData]?
    
    enum CodingKeys: String, CodingKey {
        case api_status = "api_status"
        case users = "users"
    }
    
    init(from decoder: Decoder) throws {
        let values = try decoder.container(keyedBy: CodingKeys.self)
        api_status = try values.decodeIfPresent(Int.self, forKey: .api_status)
        users = try values.decodeIfPresent([UserData].self, forKey: .users)
    }
    
}
